# AI-Bash: 智能命令行工具

一个基于大模型的命令行工具，可以将自然语言需求转换为对应平台的命令行命令。

## 功能介绍

- 接收用户的自然语言描述
- 调用大模型API将需求转换为命令行命令
- 自动识别用户的操作系统和命令行环境
- 根据当前平台生成最适合的命令
- 支持自定义API密钥、主机地址和模型名称
- 生成命令并在用户确认后执行

## 快速开始

安装:
```bash
uv pip install ai_bash
```

使用:
```bash
# 基本用法(生成命令并等待用户回车后执行)
ai 查一下当前目录的文件路径

# 只生成命令不执行
ai 列出所有进程 --no-exec

# 只输出纯文本命令，便于手动复制
ai 查找大文件 --copy

# 自动将命令复制到剪贴板，可直接粘贴使用
ai 查找大文件 --clipboard

# 查看帮助信息
ai --help
```

## 配置

初始化并查看配置:
```bash
# 显示配置文件路径，如果不存在则创建
ai --init

# 强制创建新配置文件(覆盖已有配置)
ai --init --force
```

配置文件位于用户主目录下的`.cmd_ai`文件:
```
# 必需的API密钥
OPENAI_API_KEY=你的OpenAI API密钥
```

## 文档与贡献

- 详细使用说明和开发指南：[文档.md](文档.md)
- 贡献代码规范：[CONTRIBUTING.md](CONTRIBUTING.md) 